package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimPlaceContent;


/**
*  service接口类
*/
public interface AimPlaceContentService{

    List<AimPlaceContent> getAimPlaceContentList(AimPlaceContent record);

    List<AimPlaceContent> getAimPlaceContentByPage(Page page, AimPlaceContent record);

    AimPlaceContent getAimPlaceContentById(String id);

    AimPlaceContent getAimPlaceContent(AimPlaceContent record);

    boolean createAimPlaceContent(AimPlaceContent record);

    boolean deleteAimPlaceContent(AimPlaceContent record);

    boolean updateAimPlaceContent(AimPlaceContent record);
}

